********** 财经问题研究2024年第4期《延迟退休对青年人就业的挤入效应机制研究》**********

* ====================== 正文程序 ===================== *

****表1：描述性统计****
use 数据.dta,clear
tabstat Young Old  dependence gdprate lnsjgdp three lnind lnwage ,s(N mean sd min max) f(%12.3f) c(s)

 
****表2：基准回归****	
use 数据.dta,clear
xtset id year
sort id year
xtreg Young Old  
est store a1
xtreg Young Old     lnsjgdp three lnind lnwage   ,fe r
est store a2
xtreg Young Old    lnsjgdp  three  lnwage lnind  i.year,r
est store a3
xtreg Young Old     lnsjgdp  three  lnwage lnind  i.year,fe r
est store a4
outreg2 [a1 a2 a3 a4 ] using"表2.doc",dec(3) replace 


 ****表3：两阶段最小二乘（2SLS）****	
 //以接近退休年龄的工人在正规部门就业比重（Share）作为核心变量的IV
use 数据.dta,clear
xtset id year
sort id year
drop if Share==.
ivregress 2sls Young lnsjgdp  three  lnwage lnind youngzheng  (Old=Share), r first
est store a5
ivreg2  Young lnsjgdp  three  lnwage lnind youngzheng  (Old=Share),r orthog(Share)
est store a6


****稳健性检验（结果未在正文中列出）****
 //更换被解释变量，以青年人就业人数占青年人经济活动人口数比重衡量青年人就业率
use 数据.dta,clear
xtreg Young_J Old  lnsjgdp  three  lnwage lnind i.year  ,fe 
 est store b1
//城镇子样本
 xtreg Young_City Old_City  lnsjgdp  three  lnwage lnind i.year ,fe r
  est store b2
//双边缩尾处理
 winsor2 Young_01 Old_01  ,replace cuts(1 99)
 xtreg Young_01 Old_01  lnsjgdp  three  lnwage lnind i.year ,fe r
 est store b3
//双边截尾处理
 winsor2 Young_02 Old_02  ,replace cuts(1 99) trim
 xtreg Young_02 Old_02  lnsjgdp  three  lnwage lnind i.year ,fe r
 est store b4
 outreg2 [ b1 b2 b3 b4 ] using"稳健性检验.doc",dec(3) replace 

 
*****表4：异质性分析***
use 数据.dta,clear
//性别异质性分析
xtreg youngman Old lnsjgdp  three  lnwage lnind  i.year  ,fe 
est store c1
xtreg youngwoman Old lnsjgdp  three  lnwage lnind  i.year  ,fe 
est store c2
outreg2 [ c1 c2 ] using"分性别异质性分析.doc",dec(3) replace 

//性别异质性检验-组间系数差异	
//利用似无相关模型对组间系数差异进行显著性检验，对应的P值为0.0015,说明组间系数差异显著。
	
center youngman  Old youngwoman  lnsjgdp  three  lnwage lnind	 
reg c_youngman c_Old c_lnsjgdp  c_three  c_lnwage c_lnind  i.year  
est store Yes
reg c_youngwoman c_Old c_lnsjgdp  c_three  c_lnwage c_lnind  i.year  
est store No
suest Yes No
test [Yes_mean]c_Old = [No_mean]c_Old

//教育水平异质性分析
xtreg highyoungwork   higholdchu lowoldchu lnsjgdp  three  lnwage lnind  i.year ,fe r
est store d1 
xtreg lowyoungwork higholdchu lowoldchu  lnsjgdp  three  lnwage lnind  i.year ,fe r
est store d2
outreg2 [ d1 d2 ] using"分教育水平异质性分析.doc",dec(3) replace 
 
 
*****表5：进一步分析***
//机制分析
use 数据.dta,clear
xtreg dependence Old lnsjgdp  three  lnwage lnind  i.year  ,fe r
est store e1 
//调节效应分析
center gdprate
center Old
gen lngdprateold=  c_gdprate*c_Old 
xtreg Young   c_gdprate  c_Old  lngdprateold   lnsjgdp three  lnwage lnind i.year  ,fe r
est store e2
outreg2 [ e1 e2 ] using"进一步分析.doc",dec(3) replace 



 